ConfigResponseDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.ConfigResponseDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class ConfigResponseDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.ConfigResponseDAO

    public class ConfigResponseDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ConfigResponseDAO(DAOFactory f)`

Method Summary
`ConfigResponseDB` | `findById(java.lang.Integer id)`
`ConfigResponseDB` | `findByServerId(java.lang.Integer id)`
`ConfigResponseDB` | `findByServiceId(java.lang.Integer id)`
`ConfigResponseDB` | `get(java.lang.Integer id)`
`void` | `remove(ConfigResponseDB entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigResponseDAO

    public ConfigResponseDAO(DAOFactory f)

Method Detail

### findById

    public ConfigResponseDB findById(java.lang.Integer id)

### get

    public ConfigResponseDB get(java.lang.Integer id)

### remove

    public void remove(ConfigResponseDB entity)

### findByServerId

    public ConfigResponseDB findByServerId(java.lang.Integer id)

### findByServiceId

    public ConfigResponseDB findByServiceId(java.lang.Integer id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.